accrue.analysis.notnulldataflow

## Class NotNullAnalysisPass

- java.lang.Object
- - polyglot.frontend.AbstractPass
  - - accrue.analysis.interprocanalysis.InterProcAnalysisPass<VarContext<T>>
    - - accrue.analysis.interprocvarcontext.InterProcVarContextPass<NotNullAbsVal>
      - - accrue.analysis.notnulldataflow.NotNullAnalysisPass

- All Implemented Interfaces:
    polyglot.frontend.Pass

      public class NotNullAnalysisPass
      extends InterProcVarContextPass<NotNullAbsVal>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NotNullAnalysisPass.MakeNonPeerNullResultValid`

  - ### Field Summary

    - ### Fields inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `extInfo, factory, registrar`

    - ### Fields inherited from class polyglot.frontend.AbstractPass

      `exclusive_time, goal, inclusive_time`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NotNullAnalysisPass(polyglot.frontend.ExtensionInfo extInfo, polyglot.frontend.goals.Goal goal, Registrar registrar, AnalysisFactory<VarContext<NotNullAbsVal>> analysisFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `postSuccessfulProcess(WorkQueue<VarContext<NotNullAbsVal>> workQueue)` Post the results of a successful analysis pass
    `static NotNullAnalysisPass` | `singleton(AccrueExtensionInfo extInfo)`

    - ### Methods inherited from class accrue.analysis.interprocvarcontext.InterProcVarContextPass

      `createWorkQueue`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `extensionInfo, registrar, run`

    - ### Methods inherited from class polyglot.frontend.AbstractPass

      `exclusiveTime, goal, inclusiveTime, name, resetTimers, toggleTimers, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotNullAnalysisPass

          protected NotNullAnalysisPass(polyglot.frontend.ExtensionInfo extInfo,
                             polyglot.frontend.goals.Goal goal,
                             Registrar registrar,
                             AnalysisFactory<VarContext<NotNullAbsVal>> analysisFactory)

  - ### Method Detail

    - #### singleton

          public static NotNullAnalysisPass singleton(AccrueExtensionInfo extInfo)

    - #### postSuccessfulProcess

          protected void postSuccessfulProcess(WorkQueue<VarContext<NotNullAbsVal>> workQueue)

      Description copied from class: `InterProcAnalysisPass`
      Post the results of a successful analysis pass
      Overrides:
        `postSuccessfulProcess` in class `InterProcVarContextPass<NotNullAbsVal>`